package com.gic.haoban.manage.service.entity.moment;

import java.io.Serializable;
import java.util.Date;

/**
 * 
 * @ClassName: TabHaobanQwMomentPlan
 * @Description: TODO
 * @Author 徐高华
 * @Date 2025年03月05日 15:46:30
 * @Modify
 * @CopyRight 杭州
 */
public class TabQwMomentPlan implements Serializable{

	private static final long serialVersionUID = 85646353131100L;
	
	/**活动id*/
	private Long planId;
	/**名称*/
	private String title;
	/**描述*/
	private String remark;
	/**开始日期*/
	private Date beginDate;
	/**结束日期*/
	private Date endDate;
	/**几天后失效*/
	private Integer expireDays;
	/**执行方式 0企微1好办小程序*/
	private Integer execType;
	/**企微id*/
	private String wxEnterpriseId;
	/**企业id*/
	private String enterpriseId;
	/**创建人*/
	private String creatorId;
	/**创建人*/
	private String creatorName;
	/**1有效 2终止*/
	private Integer statusFlag;
	/**1删0有效*/
	private Integer deleteFlag;
	/**1立即发布2定时发布*/
	private Integer publishType;
	/**发布时间*/
	private Date publishTime;
	/**0全部导购 1部分导购*/
	private Integer planClerkType;
	/**总任务数*/
	private Integer totalNum;
	/**执行任务数*/
	private Integer doneNum;
	/**终止时间*/
	private Date stopTime;
	/**0自主上传 1内容*/
	private Integer mediaType;
	/**素材json*/
	private String mediaInfo;
	/**素材回显内容*/
	private String mediaInfoShow;
	/**创建时间*/
	private Date createTime;
	/**更新时间*/
	private Date updateTime;
	/**总点赞数*/
	private Integer totalLikeCount;
	/**总评论数*/
	private Integer totalCommentCount;
	/**企微jobid*/
	private String qwJobid;
	/**朋友圈id */
	private String momentId ;
	/**完成率*/
	private Integer execRate;

	private Integer taskClerkNum ;

	/**
	 * 链接开关
	 */
	private Integer mediaLinkFlag ;

	private Integer analyseFlag ;
	private Integer analyseDay ;

	public Integer getAnalyseFlag() {
		return analyseFlag;
	}

	public void setAnalyseFlag(Integer analyseFlag) {
		this.analyseFlag = analyseFlag;
	}

	public Integer getAnalyseDay() {
		return analyseDay;
	}

	public void setAnalyseDay(Integer analyseDay) {
		this.analyseDay = analyseDay;
	}

	public Integer getMediaLinkFlag() {
		return mediaLinkFlag;
	}

	public void setMediaLinkFlag(Integer mediaLinkFlag) {
		this.mediaLinkFlag = mediaLinkFlag;
	}

	public Integer getTaskClerkNum() {
		return taskClerkNum;
	}

	public void setTaskClerkNum(Integer taskClerkNum) {
		this.taskClerkNum = taskClerkNum;
	}

	public String getMomentId() {
		return momentId;
	}

	public void setMomentId(String momentId) {
		this.momentId = momentId;
	}

	public Long getPlanId() {
		return planId;
	}

	public void setPlanId(Long planId) {
		this.planId = planId;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public Date getBeginDate() {
		return beginDate;
	}

	public void setBeginDate(Date beginDate) {
		this.beginDate = beginDate;
	}

	public Date getEndDate() {
		return endDate;
	}

	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}

	public Integer getExpireDays() {
		return expireDays;
	}

	public void setExpireDays(Integer expireDays) {
		this.expireDays = expireDays;
	}

	public Integer getExecType() {
		return execType;
	}

	public void setExecType(Integer execType) {
		this.execType = execType;
	}

	public String getWxEnterpriseId() {
		return wxEnterpriseId;
	}

	public void setWxEnterpriseId(String wxEnterpriseId) {
		this.wxEnterpriseId = wxEnterpriseId;
	}

	public String getEnterpriseId() {
		return enterpriseId;
	}

	public void setEnterpriseId(String enterpriseId) {
		this.enterpriseId = enterpriseId;
	}

	public String getCreatorId() {
		return creatorId;
	}

	public void setCreatorId(String creatorId) {
		this.creatorId = creatorId;
	}

	public String getCreatorName() {
		return creatorName;
	}

	public void setCreatorName(String creatorName) {
		this.creatorName = creatorName;
	}

	public Integer getStatusFlag() {
		return statusFlag;
	}

	public void setStatusFlag(Integer statusFlag) {
		this.statusFlag = statusFlag;
	}

	public Integer getDeleteFlag() {
		return deleteFlag;
	}

	public void setDeleteFlag(Integer deleteFlag) {
		this.deleteFlag = deleteFlag;
	}

	public Integer getPublishType() {
		return publishType;
	}

	public void setPublishType(Integer publishType) {
		this.publishType = publishType;
	}

	public Date getPublishTime() {
		return publishTime;
	}

	public void setPublishTime(Date publishTime) {
		this.publishTime = publishTime;
	}

	public Integer getPlanClerkType() {
		return planClerkType;
	}

	public void setPlanClerkType(Integer planClerkType) {
		this.planClerkType = planClerkType;
	}

	public Integer getTotalNum() {
		return totalNum;
	}

	public void setTotalNum(Integer totalNum) {
		this.totalNum = totalNum;
	}

	public Integer getDoneNum() {
		return doneNum;
	}

	public void setDoneNum(Integer doneNum) {
		this.doneNum = doneNum;
	}

	public Date getStopTime() {
		return stopTime;
	}

	public void setStopTime(Date stopTime) {
		this.stopTime = stopTime;
	}

	public Integer getMediaType() {
		return mediaType;
	}

	public void setMediaType(Integer mediaType) {
		this.mediaType = mediaType;
	}

	public String getMediaInfo() {
		return mediaInfo;
	}

	public void setMediaInfo(String mediaInfo) {
		this.mediaInfo = mediaInfo;
	}

	public String getMediaInfoShow() {
		return mediaInfoShow;
	}

	public void setMediaInfoShow(String mediaInfoShow) {
		this.mediaInfoShow = mediaInfoShow;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public Integer getTotalLikeCount() {
		return totalLikeCount;
	}

	public void setTotalLikeCount(Integer totalLikeCount) {
		this.totalLikeCount = totalLikeCount;
	}

	public Integer getTotalCommentCount() {
		return totalCommentCount;
	}

	public void setTotalCommentCount(Integer totalCommentCount) {
		this.totalCommentCount = totalCommentCount;
	}

	public String getQwJobid() {
		return qwJobid;
	}

	public void setQwJobid(String qwJobid) {
		this.qwJobid = qwJobid;
	}

	public Integer getExecRate() {
		return execRate;
	}

	public void setExecRate(Integer execRate) {
		this.execRate = execRate;
	}
}